<?php

  
  class Softcom
  {
  
  //metodo que busca as categorias
  public function BuscarSubCategorias()
  {
    
  try{
      $Conexao = Conexao::getConnection();
      $query = $Conexao->query("SELECT * FROM Categorias_SubCategorias ORDER BY Nomes;");
  
  	return $retorno = $query->fetchAll();
  
  }catch(Exception $e){
  
    echo $e->getMessage();
    exit;
  }
  
  }//fim do metodo
  
  //metodo que busca as categorias
  public function BuscarSubCategoriasCod($categoriaCod)
  {
  
  try{
      $Conexao = Conexao::getConnection();
      $query = $Conexao->query("SELECT Nomes FROM Categorias_SubCategorias WHERE Registro = '$categoriaCod';");
  
  	return $retorno = $query->fetchAll();
  
  }catch(Exception $e){
  
    echo $e->getMessage();
    exit;
  }
  
  }//fim do metodo
  
  //metodo que inseri o contas a pagar
  public function InserirContaPagar($subcategoria, $numeroDoc, $dataSangriaCadastrar,$valor,$usuario,$observacao,$loja)
  {
    $data = $dataSangriaCadastrar;
    $dataLancamento = date('d/m/Y H:m:s');
  
  try{
      $Conexao = Conexao::getConnection();
      $query = $Conexao->query("
  INSERT INTO [contas a pagar]
  (
  [Histórico],
  Categoria,
  SubCategoria,
  NumeroDoc,
  DtEmissão,
  [Valor Nota],
  [Tipo Documento],
  Lancamento_Usuario,
  Lancamento_DataHora,
  ObsLancamento,
  LojaOrigem,
  Parcelas,
  PrimeiroVencimento,
  DiasIntervalo
  )
  
  VALUES
  (
  'DESPESAS LOJA',
  'FIXAS',
  $subcategoria,
  '$numeroDoc',
  '$data',
  $valor,
  'RECIBO',
  '$usuario',
  '$dataLancamento',
  '$observacao',
  '$loja',
  1,
  '$data',
  30
  )
  ;");
    $query->nextRowset();
  	return True;
  
  }catch(Exception $e){
  
    echo $e->getMessage();
    exit;
  }	
  }//fim do metodo
  
  //buscar ultimo registro
  public function BuscarUltimoRegistroContasPagar()
  
  {
  
  try{
      $Conexao = Conexao::getConnection();
      $query = $Conexao->query("
    SELECT TOP 1 Registro
    FROM [contas a pagar]
    ORDER BY Registro DESC
    ;");
  
  	return $retorno = $query->fetchAll();
  
  }catch(Exception $e){
  
    echo $e->getMessage();
    exit;
  }
  }//fim do metodo
  
  //metodo que inseri o contas a pagar boletos
  public function InserirContasPagarBoletos($valor,$dataSangriaCadastrar,$usuario,$conta)
  {
    $dataLancamento = date('d/m/Y H:m:s');
  
    $registro = $this->BuscarUltimoRegistroContasPagar();
    foreach ($registro as $registro) { $id = $registro[0];}
  try{
      $Conexao = Conexao::getConnection();
      $query = $Conexao->query("
  INSERT INTO ContasaPagarVencimentos
  (
  Registro,
  Vencimento,
  Valor2,
  [Data de Pagamento],
  [Valor Pago],
  [Forma Pagto],
  Conta,
  Lacrar,
  Pago,
  Baixa_Usuario,
  Baixa_DataHora,
  Parcela
  )
  VALUES
  (
  '$id',
  '$dataSangriaCadastrar',
   $valor,
  '$dataSangriaCadastrar',
   $valor,
  'ESPÉCIE',
  '$conta',
  1,
  1,
  '$usuario',
  '$dataLancamento',
  '1'
  )
  ;");
  
  $query->nextRowset();
  return True;
  
  }catch(Exception $e){
  
    echo $e->getMessage();
    exit;
  }
  
  }//fim do metodo
  
  //metodo que busca as categorias
  public function BuscarSangria($idSangria)
  {
  
  try{
      $Conexao = Conexao::getConnection();
      $query = $Conexao->query("SELECT * FROM [Contas a pagar2] WHERE Registro = $idSangria;");
  
  	$sangria = $query->fetchAll();
    return $sangria;
  
  }catch(Exception $e){
  
    echo $e->getMessage();
    exit;
  }
  
  }//fim do metodo
  
}//fim da classe



